## otter-browser 0.9.99

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

if (POLICY CMP0020)
	cmake_policy(SET CMP0020 NEW)
endif (POLICY CMP0020)

if (POLICY CMP0043)
	cmake_policy(SET CMP0043 NEW)
endif (POLICY CMP0043)

project(otter-browser)

set(MAJOR_VERSION "0")
set(MINOR_VERSION "9")
set(PATCH_VERSION "99")
set(WEEKLY_VERSION "" CACHE STRING "")

add_definitions(-DOTTER_VERSION_MAIN="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}" -DOTTER_INSTALL_PREFIX="${CMAKE_INSTALL_PREFIX}")

if ("${WEEKLY_VERSION}" STREQUAL "")
	add_definitions(-DOTTER_VERSION_CONTEXT=" RC 9" -DOTTER_VERSION_WEEKLY=" ")
else ("${WEEKLY_VERSION}" STREQUAL "")
	add_definitions(-DOTTER_VERSION_CONTEXT=" weekly ${WEEKLY_VERSION}" -DOTTER_VERSION_WEEKLY="${WEEKLY_VERSION}")
endif ("${WEEKLY_VERSION}" STREQUAL "")

if (EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
	include(InstallRequiredSystemLibraries)

	set(CPACK_SET_DESTDIR "on")
	set(CPACK_PACKAGING_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
	set(CPACK_GENERATOR "DEB;RPM")
	set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Web browser controlled by the user, not vice-versa")
	set(CPACK_PACKAGE_VENDOR "Vendor")
	set(CPACK_PACKAGE_CONTACT "Michal Dutkiewicz <michal@emdek.pl>")
	set(CPACK_PACKAGE_VERSION_MAJOR "${MAJOR_VERSION}")
	set(CPACK_PACKAGE_VERSION_MINOR "${MINOR_VERSION}")
	set(CPACK_PACKAGE_VERSION_PATCH "${PATCH_VERSION}")
	set(CPACK_PACKAGE_NAME "otter-browser")
	set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
	set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
	set(CPACK_DEBIAN_PACKAGE_DEPENDS "libhunspell-1.3-0 (>= 1.3.3), libqt5multimedia5 (>=5.4.0), libqt5qml5 (>=5.4.0), libqt5svg5 (>=5.4.0), libqt5webkit5 (>=5.4.0), libqt5xmlpatterns5 (>=5.4.0)")
	set(CPACK_DEBIAN_PACKAGE_RECOMMENDS "gstreamer1.0-plugins-base, gstreamer1.0-plugins-good")
	set(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")
	set(CPACK_DEBIAN_PACKAGE_SECTION "web")
	set(CPACK_DEBIAN_ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})
	set(CPACK_COMPONENTS_ALL Libraries ApplicationData)
	set(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION
		${CMAKE_INSTALL_MANDIR}/man1
		${CMAKE_INSTALL_PREFIX}/share/applications
		${CMAKE_INSTALL_PREFIX}/share/icons
		${CMAKE_INSTALL_PREFIX}/share/icons/hicolor
		${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/16x16
		${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/32x32
		${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48
		${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/64x64
		${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/128x128
		${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/256x256
		${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/16x16/apps
		${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/32x32/apps
		${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/apps
		${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/64x64/apps
		${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/128x128/apps
		${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/256x256/apps
	)

	include(CPack)
endif (EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_CXX_STANDARD 11)

include(FeatureSummary)
include(GNUInstallDirs)

option(ENABLE_QTWEBENGINE "Enable QtWebEngine backend (requires Qt 5.9)" ON)
option(ENABLE_QTWEBKIT "Enable QtWebKit backend (requires Qt 5.4)" ON)
option(ENABLE_CRASHREPORTS "Enable built-in crash reporting (only for official builds)" OFF)

find_package(Qt5 5.4.0 REQUIRED COMPONENTS Core DBus Gui Multimedia Network PrintSupport Qml Svg Widgets XmlPatterns)
find_package(Qt5WebEngineWidgets 5.9.0 QUIET)
find_package(Qt5WebKitWidgets 5.4.0 QUIET)
find_package(Hunspell 1.3.0 QUIET)

set_package_properties(Qt5WebEngineCore PROPERTIES URL "https://www.qt.io/" DESCRIPTION "QtWebEngine based backend (core)" TYPE OPTIONAL)
set_package_properties(Qt5WebEngineWidgets PROPERTIES URL "https://www.qt.io/" DESCRIPTION "QtWebEngine based backend (widgets)" TYPE OPTIONAL)
set_package_properties(Qt5WebKit PROPERTIES URL "https://www.qt.io/" DESCRIPTION "QtWebKit based backend (core)" TYPE OPTIONAL)
set_package_properties(Qt5WebKitWidgets PROPERTIES URL "https://www.qt.io/" DESCRIPTION "QtWebKit based backend (widgets)" TYPE OPTIONAL)
set_package_properties(Hunspell PROPERTIES URL "https://hunspell.github.io/" DESCRIPTION "Generic spell checking support" TYPE OPTIONAL)

set(otter_src
	src/main.cpp
	src/core/ActionExecutor.cpp
	src/core/ActionsManager.cpp
	src/core/AddonsManager.cpp
	src/core/AddressCompletionModel.cpp
	src/core/Application.cpp
	src/core/BookmarksImporter.cpp
	src/core/BookmarksManager.cpp
	src/core/BookmarksModel.cpp
	src/core/ContentBlockingManager.cpp
	src/core/ContentBlockingProfile.cpp
	src/core/Console.cpp
	src/core/CookieJar.cpp
	src/core/FeedParser.cpp
	src/core/FeedsManager.cpp
	src/core/FeedsModel.cpp
	src/core/GesturesManager.cpp
	src/core/HandlersManager.cpp
	src/core/HistoryManager.cpp
	src/core/HistoryModel.cpp
	src/core/Importer.cpp
	src/core/IniSettings.cpp
	src/core/InputInterpreter.cpp
	src/core/ItemModel.cpp
	src/core/Job.cpp
	src/core/JsonSettings.cpp
	src/core/LocalListingNetworkReply.cpp
	src/core/LongTermTimer.cpp
	src/core/Migrator.cpp
	src/core/NetworkAutomaticProxy.cpp
	src/core/NetworkCache.cpp
	src/core/NetworkManager.cpp
	src/core/NetworkManagerFactory.cpp
	src/core/NetworkProxyFactory.cpp
	src/core/NotesManager.cpp
	src/core/NotificationsManager.cpp
	src/core/PasswordsManager.cpp
	src/core/PasswordsStorageBackend.cpp
	src/core/PlatformIntegration.cpp
	src/core/SearchEnginesManager.cpp
	src/core/SearchSuggester.cpp
	src/core/SessionModel.cpp
	src/core/SessionsManager.cpp
	src/core/SettingsManager.cpp
	src/core/SpellCheckManager.cpp
	src/core/ThemesManager.cpp
	src/core/ToolBarsManager.cpp
	src/core/TransfersManager.cpp
	src/core/UpdateChecker.cpp
	src/core/Updater.cpp
	src/core/UserScript.cpp
	src/core/Utils.cpp
	src/core/WebBackend.cpp
	src/ui/AcceptCookieDialog.cpp
	src/ui/Action.cpp
	src/ui/ActionComboBoxWidget.cpp
	src/ui/Animation.cpp
	src/ui/ApplicationComboBoxWidget.cpp
	src/ui/AuthenticationDialog.cpp
	src/ui/BookmarkPropertiesDialog.cpp
	src/ui/BookmarksComboBoxWidget.cpp
	src/ui/BookmarksImporterWidget.cpp
	src/ui/CertificateDialog.cpp
	src/ui/ClearHistoryDialog.cpp
	src/ui/ColorWidget.cpp
	src/ui/ComboBoxWidget.cpp
	src/ui/ContentsDialog.cpp
	src/ui/ContentsWidget.cpp
	src/ui/CookiePropertiesDialog.cpp
	src/ui/Dialog.cpp
	src/ui/FeedPropertiesDialog.cpp
	src/ui/FilePathWidget.cpp
	src/ui/IconWidget.cpp
	src/ui/ImagePropertiesDialog.cpp
	src/ui/ImportDialog.cpp
	src/ui/ItemDelegate.cpp
	src/ui/ItemViewWidget.cpp
	src/ui/LineEditWidget.cpp
	src/ui/LocaleDialog.cpp
	src/ui/MainWindow.cpp
	src/ui/MasterPasswordDialog.cpp
	src/ui/Menu.cpp
	src/ui/MenuBarWidget.cpp
	src/ui/NotificationDialog.cpp
	src/ui/OpenAddressDialog.cpp
	src/ui/OpenBookmarkDialog.cpp
	src/ui/OptionWidget.cpp
	src/ui/PreferencesDialog.cpp
	src/ui/PreviewWidget.cpp
	src/ui/ProgressBarWidget.cpp
	src/ui/ProxyModel.cpp
	src/ui/ReloadTimeDialog.cpp
	src/ui/ReportDialog.cpp
	src/ui/ResizerWidget.cpp
	src/ui/SaveSessionDialog.cpp
	src/ui/SearchEnginePropertiesDialog.cpp
	src/ui/SessionsManagerDialog.cpp
	src/ui/SidebarWidget.cpp
	src/ui/SourceViewerWebWidget.cpp
	src/ui/SourceViewerWidget.cpp
	src/ui/StartupDialog.cpp
	src/ui/StatusBarWidget.cpp
	src/ui/Style.cpp
	src/ui/TabBarWidget.cpp
	src/ui/TabSwitcherWidget.cpp
	src/ui/TextEditWidget.cpp
	src/ui/TextLabelWidget.cpp
	src/ui/ToolBarDialog.cpp
	src/ui/ToolBarDropZoneWidget.cpp
	src/ui/ToolBarWidget.cpp
	src/ui/ToolButtonWidget.cpp
	src/ui/TransferDialog.cpp
	src/ui/TrayIcon.cpp
	src/ui/UpdateCheckerDialog.cpp
	src/ui/WebsiteInformationDialog.cpp
	src/ui/WebsitePreferencesDialog.cpp
	src/ui/WebWidget.cpp
	src/ui/WidgetFactory.cpp
	src/ui/Window.cpp
	src/ui/WorkspaceWidget.cpp
	src/ui/preferences/AcceptLanguageDialog.cpp
	src/ui/preferences/ContentBlockingDialog.cpp
	src/ui/preferences/ContentBlockingProfileDialog.cpp
	src/ui/preferences/CookiesExceptionsDialog.cpp
	src/ui/preferences/JavaScriptPreferencesDialog.cpp
	src/ui/preferences/KeyboardProfileDialog.cpp
	src/ui/preferences/MouseProfileDialog.cpp
	src/ui/preferences/PreferencesAdvancedPageWidget.cpp
	src/ui/preferences/PreferencesContentPageWidget.cpp
	src/ui/preferences/PreferencesGeneralPageWidget.cpp
	src/ui/preferences/PreferencesPrivacyPageWidget.cpp
	src/ui/preferences/PreferencesSearchPageWidget.cpp
	src/ui/preferences/ProxyPropertiesDialog.cpp
	src/ui/preferences/UserAgentPropertiesDialog.cpp
	src/modules/backends/passwords/file/FilePasswordsStorageBackend.cpp
	src/modules/importers/html/HtmlBookmarksImporter.cpp
	src/modules/importers/opera/OperaBookmarksImporter.cpp
	src/modules/importers/opera/OperaNotesImporter.cpp
	src/modules/importers/opera/OperaSearchEnginesImporter.cpp
	src/modules/importers/opera/OperaSessionImporter.cpp
	src/modules/widgets/action/ActionWidget.cpp
	src/modules/widgets/address/AddressWidget.cpp
	src/modules/widgets/bookmark/BookmarkWidget.cpp
	src/modules/widgets/configurationOption/ConfigurationOptionWidget.cpp
	src/modules/widgets/contentBlockingInformation/ContentBlockingInformationWidget.cpp
	src/modules/widgets/errorConsole/ErrorConsoleWidget.cpp
	src/modules/widgets/menuButton/MenuButtonWidget.cpp
	src/modules/widgets/panelChooser/PanelChooserWidget.cpp
	src/modules/widgets/privateWindowIndicator/PrivateWindowIndicatorWidget.cpp
	src/modules/widgets/progressInformation/ProgressInformationWidget.cpp
	src/modules/widgets/search/SearchWidget.cpp
	src/modules/widgets/statusMessage/StatusMessageWidget.cpp
	src/modules/widgets/transfers/TransfersWidget.cpp
	src/modules/widgets/zoom/ZoomWidget.cpp
	src/modules/windows/addons/AddonsContentsWidget.cpp
	src/modules/windows/bookmarks/BookmarksContentsWidget.cpp
	src/modules/windows/cache/CacheContentsWidget.cpp
	src/modules/windows/configuration/ConfigurationContentsWidget.cpp
	src/modules/windows/cookies/CookiesContentsWidget.cpp
	src/modules/windows/history/HistoryContentsWidget.cpp
	src/modules/windows/feeds/FeedsContentsWidget.cpp
	src/modules/windows/links/LinksContentsWidget.cpp
	src/modules/windows/notes/NotesContentsWidget.cpp
	src/modules/windows/pageInformation/PageInformationContentsWidget.cpp
	src/modules/windows/passwords/PasswordsContentsWidget.cpp
	src/modules/windows/tabHistory/TabHistoryContentsWidget.cpp
	src/modules/windows/transfers/TransfersContentsWidget.cpp
	src/modules/windows/web/PasswordBarWidget.cpp
	src/modules/windows/web/PermissionBarWidget.cpp
	src/modules/windows/web/PopupsBarWidget.cpp
	src/modules/windows/web/ProgressToolBarWidget.cpp
	src/modules/windows/web/SearchBarWidget.cpp
	src/modules/windows/web/SelectPasswordDialog.cpp
	src/modules/windows/web/StartPageModel.cpp
	src/modules/windows/web/StartPagePreferencesDialog.cpp
	src/modules/windows/web/StartPageWidget.cpp
	src/modules/windows/web/WebContentsWidget.cpp
	src/modules/windows/windows/WindowsContentsWidget.cpp
	3rdparty/columnresizer/ColumnResizer.cpp
	3rdparty/mousegestures/MouseGestures.cpp
)

qt5_add_resources(otter_res
	resources/resources.qrc
)

qt5_wrap_ui(otter_ui
	src/ui/AcceptCookieDialog.ui
	src/ui/AuthenticationDialog.ui
	src/ui/BookmarkPropertiesDialog.ui
	src/ui/BookmarksImporterWidget.ui
	src/ui/CertificateDialog.ui
	src/ui/ClearHistoryDialog.ui
	src/ui/CookiePropertiesDialog.ui
	src/ui/FeedPropertiesDialog.ui
	src/ui/ImagePropertiesDialog.ui
	src/ui/ImportDialog.ui
	src/ui/LocaleDialog.ui
	src/ui/MainWindow.ui
	src/ui/MasterPasswordDialog.ui
	src/ui/OpenAddressDialog.ui
	src/ui/OpenBookmarkDialog.ui
	src/ui/PreferencesDialog.ui
	src/ui/ReloadTimeDialog.ui
	src/ui/ReportDialog.ui
	src/ui/SaveSessionDialog.ui
	src/ui/SearchEnginePropertiesDialog.ui
	src/ui/SessionsManagerDialog.ui
	src/ui/SidebarWidget.ui
	src/ui/StartupDialog.ui
	src/ui/ToolBarDialog.ui
	src/ui/TransferDialog.ui
	src/ui/UpdateCheckerDialog.ui
	src/ui/WebsiteInformationDialog.ui
	src/ui/WebsitePreferencesDialog.ui

## otter-browser 0.9.12

=== debian/changelog ===
otter-browser (0.9.12-0mx150+1) mx; urgency=medium

  * Rebuild for MX 15/16.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Tue, 10 Jan 2017 17:56:09 -0600

otter-browser (0.9.12-1~zesty~ppa1) zesty; urgency=medium

  * New upstream release

 -- Michał Dutkiewicz <emdeck@gmail.com>  Sun, 01 Jan 2017 20:30:17 +0100

otter-browser (0.9.12-1~vivid~ppa1) vivid; urgency=medium

  * New upstream release

 -- Michał Dutkiewicz <emdeck@gmail.com>  Sun, 01 Jan 2017 20:24:28 +0100

otter-browser (0.9.11-1~yakkety~ppa1) yakkety; urgency=medium

  * New upstream release

 -- Michał Dutkiewicz <emdeck@gmail.com>  Mon, 03 Oct 2016 21:36:13 +0200

otter-browser (0.9.10-1~xenial~ppa1) xenial; urgency=medium

  * New upstream release

 -- Michał Dutkiewicz <emdeck@gmail.com>  Mon, 02 May 2016 22:22:04 +0200

otter-browser (0.9.09.01-1~wily~ppa1) wily; urgency=medium

  * Backport fix for saving size of dialogs, revision 67c2ae7
  * Backport fix for drawing checkable list items, revision fd7380a

 -- Michał Dutkiewicz <emdeck@gmail.com>  Sat, 02 Jan 2016 18:19:08 +0100

otter-browser (0.9.09-1~wily~ppa1) wily; urgency=medium

  * New upstream release

 -- Michał Dutkiewicz <emdeck@gmail.com>  Fri, 01 Jan 2016 23:15:09 +0100

otter-browser (0.9.08-1~wily~ppa1) wily; urgency=medium

  * New upstream release

 -- Michał Dutkiewicz <emdeck@gmail.com>  Tue, 01 Dec 2015 20:42:46 +0100

otter-browser (0.9.06.01-1~vivid~ppa4) vivid; urgency=medium

  * Update package description and dependencies
  * Backport workaround for Qt 5.2, revision 40167ef
  * Backport fix for too big margins in toolbars, revision af837be

 -- Michał Dutkiewicz <emdeck@gmail.com>  Thu, 04 Jun 2015 13:53:45 +0200

otter-browser (0.9.06-1~vivid~ppa1) vivid; urgency=medium

  * New upstream release

 -- Liviu Andronic <landronimirc@gmail.com>  Wed, 03 Jun 2015 12:17:40 +0200

otter-browser (0.9.05-1~trusty~ppa1) trusty; urgency=medium

  * New upstream release

 -- Liviu Andronic <landronimirc@gmail.com>  Sun, 05 Apr 2015 11:53:56 +0200

otter-browser (0.9.04-1~trusty~ppa1) trusty; urgency=medium

  * New upstream release.
  * Add qtmultimedia5-dev

 -- Liviu Andronic <landronimirc@gmail.com>  Sat, 03 Jan 2015 08:33:18 +1100

otter-browser (0.9.03-1~trusty~ppa1) trusty; urgency=medium

  * New upstream release.

 -- Liviu Andronic <landronimirc@gmail.com>  Sat, 20 Dec 2014 08:33:18 +1100

otter-browser (0.9.01+git20140602~trusty~ppa1) trusty; urgency=medium

  * New source, 0.9.01

 -- Rog131 <samrog131@hotmail.com>  Mon, 02 Jun 2014 09:12:13 +0300

otter-browser (0.5.01+git20140502~trusty~ppa1) trusty; urgency=low

  * New source, 0.5.01
    - rename the package to otter-browser, there is already
      an otter: resolution-style theorem prover

 -- Rog131 <samrog131@hotmail.com>  Fri, 02 May 2014 14:47:19 +0200

otter (0.4.01+git20140424~trusty~ppa1) trusty; urgency=low

  * Initial release

 -- Rog131 <samrog131@hotmail.com>  Thu, 24 Apr 2014 18:22:19 +0200

=== debian/control ===
Source: otter-browser
Section: web
Priority: extra
Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
XSBC-Original-Maintainer: Rog131 <samrog131@hotmail.com>
Bugs: mailto: <v3g4n@mxlinux.org>
Build-Depends: debhelper (>= 9.0),
 cmake,
 libhunspell-dev (>= 1.3.3),
 libqt5webkit5-dev (>=5.3.0),
 libqt5xmlpatterns5-dev (>=5.3.0),
 qtbase5-dev (>=5.3.0),
 qtdeclarative5-dev (>=5.3.0),
 qtmultimedia5-dev (>=5.3.0)
Standards-Version: 3.9.6
Homepage: http://otter-browser.org/

Package: otter-browser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gstreamer0.10-plugins-base,
 gstreamer0.10-plugins-good
Description: Web browser controlled by the user, not vice-versa
 Otter Browser aims to recreate the best aspects of the classic Opera (12.x) UI
 using Qt5

## otter-browser 0.9.99-rc9

=== debian/changelog ===
otter-browser (0.9.99-rc9-1~mx17+1) mx; urgency=medium

  * New upstream release

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 27 Jun 2018 17:54:51 -0400

otter-browser (0.9.99-rc9-1~xenial~ppa1) xenial; urgency=medium

  * New upstream release

 -- Michał Dutkiewicz <emdeck@gmail.com>  Wed, 20 Jun 2018 14:39:56 +0200

otter-browser (0.9.98-rc8-1~bionic~ppa1) bionic; urgency=medium

  * New upstream release

 -- Michał Dutkiewicz <emdeck@gmail.com>  Thu, 03 May 2018 11:05:28 +0200

otter-browser (0.9.97-rc7-1~bionic~ppa1) bionic; urgency=medium

  * New upstream release

 -- Michał Dutkiewicz <emdeck@gmail.com>  Wed, 04 Apr 2018 13:58:38 +0200

otter-browser (0.9.96-rc6-1~bionic~ppa1) bionic; urgency=medium

  * New upstream release

 -- Michał Dutkiewicz <emdeck@gmail.com>  Sun, 04 Mar 2018 20:48:04 +0100

otter-browser (0.9.95-rc5-1~artful~ppa1) artful; urgency=medium

  * New upstream release

 -- Michał Dutkiewicz <emdeck@gmail.com>  Sun, 04 Feb 2018 12:07:47 +0100

otter-browser (0.9.94-rc4-1~bionic~ppa1) bionic; urgency=medium

  * New upstream release

 -- Michał Dutkiewicz <emdeck@gmail.com>  Mon, 01 Jan 2018 22:16:20 +0100

otter-browser (0.9.93-rc3-1~artful~ppa1) artful; urgency=medium

  * New upstream release

 -- Michał Dutkiewicz <emdeck@gmail.com>  Sat, 02 Dec 2017 21:42:40 +0100

otter-browser (0.9.92-1~artful~ppa1) artful; urgency=medium

  * New upstream release

 -- Michał Dutkiewicz <emdeck@gmail.com>  Thu, 02 Nov 2017 10:49:42 +0100

otter-browser (0.9.91-1~artful~ppa1) artful; urgency=medium

  * New upstream release

 -- Michał Dutkiewicz <emdeck@gmail.com>  Mon, 02 Oct 2017 07:07:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: otter-browser
 Section: web
 Priority: extra
-Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
-XSBC-Original-Maintainer: Rog131 <samrog131@hotmail.com>
-Bugs: mailto: <v3g4n@mxlinux.org>
+Maintainer: Rog131 <samrog131@hotmail.com>
 Build-Depends: debhelper (>= 9.0),
  cmake,
  libhunspell-dev (>= 1.3.3),
+ libqt5svg5-dev (>=5.4.0),
  libqt5webkit5-dev (>=5.3.0),
  libqt5xmlpatterns5-dev (>=5.3.0),
  qtbase5-dev (>=5.3.0),

## otter-browser 1.0.01

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,26 +2,20 @@
 
 if (POLICY CMP0020)
 	cmake_policy(SET CMP0020 NEW)
-endif (POLICY CMP0020)
+endif ()
 
 if (POLICY CMP0043)
 	cmake_policy(SET CMP0043 NEW)
-endif (POLICY CMP0043)
+endif ()
 
 project(otter-browser)
 
-set(MAJOR_VERSION "0")
-set(MINOR_VERSION "9")
-set(PATCH_VERSION "99")
+set(MAJOR_VERSION "1")
+set(MINOR_VERSION "0")
+set(PATCH_VERSION "01")
 set(WEEKLY_VERSION "" CACHE STRING "")
 
-add_definitions(-DOTTER_VERSION_MAIN="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}" -DOTTER_INSTALL_PREFIX="${CMAKE_INSTALL_PREFIX}")
-
-if ("${WEEKLY_VERSION}" STREQUAL "")
-	add_definitions(-DOTTER_VERSION_CONTEXT=" RC 9" -DOTTER_VERSION_WEEKLY=" ")
-else ("${WEEKLY_VERSION}" STREQUAL "")
-	add_definitions(-DOTTER_VERSION_CONTEXT=" weekly ${WEEKLY_VERSION}" -DOTTER_VERSION_WEEKLY="${WEEKLY_VERSION}")
-endif ("${WEEKLY_VERSION}" STREQUAL "")
+add_definitions(-DOTTER_VERSION_MAIN="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}" -DOTTER_INSTALL_PREFIX="${CMAKE_INSTALL_PREFIX}" -DOTTER_VERSION_CONTEXT=" " -DOTTER_VERSION_WEEKLY=" ")
 
 if (EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
 	include(InstallRequiredSystemLibraries)
@@ -38,7 +32,7 @@
 	set(CPACK_PACKAGE_NAME "otter-browser")
 	set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
 	set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
-	set(CPACK_DEBIAN_PACKAGE_DEPENDS "libhunspell-1.3-0 (>= 1.3.3), libqt5multimedia5 (>=5.4.0), libqt5qml5 (>=5.4.0), libqt5svg5 (>=5.4.0), libqt5webkit5 (>=5.4.0), libqt5xmlpatterns5 (>=5.4.0)")
+	set(CPACK_DEBIAN_PACKAGE_DEPENDS "libhunspell-1.5-0 (>= 1.5.1), libqt5multimedia5 (>=5.6.0), libqt5qml5 (>=5.6.0), libqt5svg5 (>=5.6.0), libqt5webkit5 (>=5.212.0), libqt5xmlpatterns5 (>=5.6.0)")
 	set(CPACK_DEBIAN_PACKAGE_RECOMMENDS "gstreamer1.0-plugins-base, gstreamer1.0-plugins-good")
 	set(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")
 	set(CPACK_DEBIAN_PACKAGE_SECTION "web")
@@ -64,7 +58,7 @@
 	)
 
 	include(CPack)
-endif (EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
+endif ()
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -75,13 +69,15 @@
 include(GNUInstallDirs)
 
 option(ENABLE_QTWEBENGINE "Enable QtWebEngine backend (requires Qt 5.9)" ON)
-option(ENABLE_QTWEBKIT "Enable QtWebKit backend (requires Qt 5.4)" ON)
+option(ENABLE_QTWEBKIT "Enable QtWebKit backend (requires QtWebKit 5.212)" ON)
 option(ENABLE_CRASHREPORTS "Enable built-in crash reporting (only for official builds)" OFF)
-
-find_package(Qt5 5.4.0 REQUIRED COMPONENTS Core DBus Gui Multimedia Network PrintSupport Qml Svg Widgets XmlPatterns)
+option(ENABLE_DBUS "Enable D-Bus based integration for notifications (only freedesktop.org compatible platforms)" ON)
+option(ENABLE_SPELLCHECK "Enable Hunspell based spell checking" ON)
+
+find_package(Qt5 5.6.0 REQUIRED COMPONENTS Core Gui Multimedia Network PrintSupport Qml Svg Widgets XmlPatterns)
 find_package(Qt5WebEngineWidgets 5.9.0 QUIET)
-find_package(Qt5WebKitWidgets 5.4.0 QUIET)
-find_package(Hunspell 1.3.0 QUIET)
+find_package(Qt5WebKitWidgets 5.212.0 QUIET)
+find_package(Hunspell 1.5.0 QUIET)
 
 set_package_properties(Qt5WebEngineCore PROPERTIES URL "https://www.qt.io/" DESCRIPTION "QtWebEngine based backend (core)" TYPE OPTIONAL)
 set_package_properties(Qt5WebEngineWidgets PROPERTIES URL "https://www.qt.io/" DESCRIPTION "QtWebEngine based backend (widgets)" TYPE OPTIONAL)
@@ -93,14 +89,14 @@
 	src/main.cpp
 	src/core/ActionExecutor.cpp
 	src/core/ActionsManager.cpp
+	src/core/AdblockContentFiltersProfile.cpp
 	src/core/AddonsManager.cpp
 	src/core/AddressCompletionModel.cpp
 	src/core/Application.cpp
 	src/core/BookmarksImporter.cpp
 	src/core/BookmarksManager.cpp
 	src/core/BookmarksModel.cpp
-	src/core/ContentBlockingManager.cpp
-	src/core/ContentBlockingProfile.cpp
+	src/core/ContentFiltersManager.cpp
 	src/core/Console.cpp
 	src/core/CookieJar.cpp
 	src/core/FeedParser.cpp
@@ -116,6 +112,7 @@
 	src/core/ItemModel.cpp
 	src/core/Job.cpp
 	src/core/JsonSettings.cpp
+	src/core/ListingNetworkReply.cpp
 	src/core/LocalListingNetworkReply.cpp
 	src/core/LongTermTimer.cpp
 	src/core/Migrator.cpp
@@ -161,6 +158,7 @@
 	src/ui/CookiePropertiesDialog.cpp
 	src/ui/Dialog.cpp
 	src/ui/FeedPropertiesDialog.cpp
+	src/ui/FeedsComboBoxWidget.cpp
 	src/ui/FilePathWidget.cpp
 	src/ui/IconWidget.cpp
 	src/ui/ImagePropertiesDialog.cpp
@@ -190,11 +188,13 @@
 	src/ui/SidebarWidget.cpp
 	src/ui/SourceViewerWebWidget.cpp
 	src/ui/SourceViewerWidget.cpp
+	src/ui/SplitterWidget.cpp
 	src/ui/StartupDialog.cpp
 	src/ui/StatusBarWidget.cpp
 	src/ui/Style.cpp
 	src/ui/TabBarWidget.cpp
 	src/ui/TabSwitcherWidget.cpp
+	src/ui/TextBrowserWidget.cpp
 	src/ui/TextEditWidget.cpp
 	src/ui/TextLabelWidget.cpp
 	src/ui/ToolBarDialog.cpp
@@ -230,6 +230,8 @@
 	src/modules/importers/opera/OperaNotesImporter.cpp
 	src/modules/importers/opera/OperaSearchEnginesImporter.cpp
 	src/modules/importers/opera/OperaSessionImporter.cpp
+	src/modules/importers/opml/OpmlImporter.cpp
+	src/modules/importers/opml/OpmlImporterWidget.cpp
 	src/modules/widgets/action/ActionWidget.cpp
 	src/modules/widgets/address/AddressWidget.cpp
 	src/modules/widgets/bookmark/BookmarkWidget.cpp
@@ -255,6 +257,7 @@
 	src/modules/windows/notes/NotesContentsWidget.cpp
 	src/modules/windows/pageInformation/PageInformationContentsWidget.cpp
 	src/modules/windows/passwords/PasswordsContentsWidget.cpp
+	src/modules/windows/preferences/PreferencesContentsWidget.cpp
 	src/modules/windows/tabHistory/TabHistoryContentsWidget.cpp
 	src/modules/windows/transfers/TransfersContentsWidget.cpp
 	src/modules/windows/web/PasswordBarWidget.cpp
@@ -300,8 +303,3 @@
 	src/ui/SessionsManagerDialog.ui
 	src/ui/SidebarWidget.ui
 	src/ui/StartupDialog.ui
-	src/ui/ToolBarDialog.ui
-	src/ui/TransferDialog.ui
-	src/ui/UpdateCheckerDialog.ui
-	src/ui/WebsiteInformationDialog.ui
-	src/ui/WebsitePreferencesDialog.ui

=== debian/changelog ===
otter-browser (1.0.01-0.1~mx19+1) mx; urgency=medium

  * New upstream release
  * debian/control:
    - Bump up to debhelper 10 compat
    - Now requires Qt ≥ 5.6.
  
 -- Steven Pusser <stevep@mxlinux.org>  Sat, 16 May 2020 10:16:57 -0700

=== debian/control ===
Source: otter-browser
Section: web
Priority: extra
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Rog131 <samrog131@hotmail.com>
Build-Depends: debhelper (>= 10),
 cmake  (>= 3.1),
 libhunspell-dev (>= 1.3.3),
 libqt5svg5-dev (>=5.6.0),
 libqt5webkit5-dev (>=5.6.0),
 libqt5xmlpatterns5-dev (>=5.6.0),
 qtbase5-dev (>=5.6.0),
 qtdeclarative5-dev (>=5.6.0),
 qtmultimedia5-dev (>=5.6.0)
Standards-Version: 3.9.6
Homepage: http://otter-browser.org/

Package: otter-browser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good
Description: Web browser controlled by the user, not vice-versa
 Otter Browser aims to recreate the best aspects of the classic Opera (12.x) UI
 using Qt5.

## otter-browser 1.0.02

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 set(MAJOR_VERSION "1")
 set(MINOR_VERSION "0")
-set(PATCH_VERSION "01")
+set(PATCH_VERSION "02")
 set(WEEKLY_VERSION "" CACHE STRING "")
 
 add_definitions(-DOTTER_VERSION_MAIN="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}" -DOTTER_INSTALL_PREFIX="${CMAKE_INSTALL_PREFIX}" -DOTTER_VERSION_CONTEXT=" " -DOTTER_VERSION_WEEKLY=" ")

=== debian/changelog ===
otter-browser (1.0.02-0.1~mx21+1) mx; urgency=medium

  * New upstream release

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 20 Aug 2021 12:41:15 -0700

=== debian/control ===
Source: otter-browser
Section: web
Priority: extra
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Rog131 <samrog131@hotmail.com>
Build-Depends: cmake  (>= 3.1),
               debhelper (>= 10),
               libhunspell-dev (>= 1.3.3),
               libqt5svg5-dev (>=5.6.0),
               libqt5webkit5-dev (>=5.6.0),
               libqt5xmlpatterns5-dev (>=5.6.0),
               qtbase5-dev (>=5.6.0),
               qtdeclarative5-dev (>=5.6.0),
               qtmultimedia5-dev (>=5.6.0)
Standards-Version: 3.9.6
Homepage: http://otter-browser.org/

Package: otter-browser
Architecture: any
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Web browser controlled by the user, not vice-versa
 Otter Browser aims to recreate the best aspects of the classic Opera (12.x) UI
 using Qt5.
